View Issue Details

IDProjectCategoryView StatusLast Update
13206Bug reports[All Projects] Survey designpublic2018-02-06 12:03
ReporterDenisChenu Assigned Tomarkusfluer  
PriorityhighSeverityminor 
Status closedResolutionreopened 
Product Version3.0.x 
Target VersionFixed in Version3.2.x 
Summary13206: Unable to update Advanced question setting after activation
Description

When a survey is activated, all question settings showed at fixed value

Steps To Reproduce

Activate a survey, try to update advanced question settings

Additional Information

Except some advanced settings : all settings mus be updateable after activation.
And i think it's better to show a "deactivated" input than a strange value (for exemple for select/dropdown : show a text, not a value).

For "fixed after activation" settings

  • max_subquestions onlky if i remind (before we have map/town)
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.0.4
I will donate to the project if issue is resolvedNo
BrowserFirefox57
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

c_schmitz

c_schmitz

2018-01-24 23:30

administrator   ~46054

In 3.1.0 advanced questions settings don't show at all when trying to edit them (debug mode off)

DenisChenu

DenisChenu

2018-01-25 08:08

developer   ~46059

Unsure it was same issue , seems ajaxquestionattribute start by 4 close div 8o

markusfluer

markusfluer

2018-01-25 14:54

administrator   ~46088

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26237

markusfluer

markusfluer

2018-01-25 14:56

administrator   ~46089

Editing shouldn't be possible in an activated survey.
But it should be visible

c_schmitz

c_schmitz

2018-01-25 15:29

administrator   ~46091

Editing should be possible even if survey is active.

ollehar

ollehar

2018-01-30 14:29

administrator   ~46150

Fixed in 3.1.1.

DenisChenu

DenisChenu

2018-02-01 16:03

developer   ~46196

Not fixed in a new install of 3.1.1 (git version just now)

New install, then no js caching issue

DenisChenu

DenisChenu

2018-02-01 16:04

developer  

markusfluer

markusfluer

2018-02-02 14:17

administrator   ~46204

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26305

Related Changesets

LimeSurvey: master d16de254

2018-01-25 14:54:08

markusfluer

Details Diff
Fixed isse 13206: Unable to update Advanced question setting after activation Affected Issues
13206
mod - application/views/admin/survey/Question/editQuestion_view.php Diff File

LimeSurvey: master b132eac2

2018-02-02 14:17:03

markusfluer

Details Diff
Fixed issue 13206: Unable to update Advanced question setting after activation Affected Issues
13206
mod - application/views/admin/survey/Question/advanced_settings_view.php Diff File

Issue History

Date Modified Username Field Change
2018-01-18 18:42 DenisChenu New Issue
2018-01-19 16:12 DenisChenu Summary Unable to update Adabced question setting after activation => Unable to update Advanced question setting after activation
2018-01-24 23:29 c_schmitz Assigned To => markusfluer
2018-01-24 23:29 c_schmitz Status new => assigned
2018-01-24 23:30 c_schmitz Note Added: 46054
2018-01-24 23:33 c_schmitz Priority none => high
2018-01-25 08:08 DenisChenu Note Added: 46059
2018-01-25 14:54 markusfluer Changeset attached => LimeSurvey master d16de254
2018-01-25 14:54 markusfluer Note Added: 46088
2018-01-25 14:54 markusfluer Resolution open => fixed
2018-01-25 14:56 markusfluer Status assigned => resolved
2018-01-25 14:56 markusfluer Fixed in Version => 3.1.x
2018-01-25 14:56 markusfluer Note Added: 46089
2018-01-25 15:29 c_schmitz Note Added: 46091
2018-01-25 15:29 c_schmitz Status resolved => assigned
2018-01-30 14:29 ollehar Status assigned => closed
2018-01-30 14:29 ollehar Note Added: 46150
2018-02-01 16:03 DenisChenu Status closed => feedback
2018-02-01 16:03 DenisChenu Resolution fixed => reopened
2018-02-01 16:03 DenisChenu Note Added: 46196
2018-02-01 16:04 DenisChenu File Added: Capture du 2018-02-01 16-03-22.png
2018-02-02 14:17 markusfluer Status feedback => resolved
2018-02-02 14:17 markusfluer Changeset attached => LimeSurvey master b132eac2
2018-02-02 14:17 markusfluer Note Added: 46204
2018-02-06 12:03 ollehar Status resolved => closed
2018-02-06 12:03 ollehar Fixed in Version 3.1.x => 3.2.x